# ouvrir un fichier
# w : en écriture (écrase un fichier)
# x : crée un fichier, erreur s'il existe déjà
# a : append
# r : en lecture

def ecrire():
    f = open("fichierTest.txt","w")
    # renseigne sur le "mode" d'ouverture
    print("mode = ",f.mode)
    for i in range(1,11):
        # on écrit dans le fichier
        f.write("Voici -- "+str(i)+" -- et puis, ... \n")
    f.close()

def ajouter():
    f = open("fichierTest.txt","a")
    print("mode = ",f.mode)
    for i in range(1,5):
        # on écrit dans le fichier
        # uniquement des "strings"
        f.write("Voilà --"+str(i)+" -- \n")
    f.write(str(123))
    f.write(str(456)+"\n")
    f.write(str([7,8,9]))
    f.close()

def lire():
    f = open("fichierTest.txt","r")
    # ici, on vérifier s'il est ouvert en lecture
    print("mode = ",f.mode)
    # tout le fichier est lu
    contenu = f.read()
    print(contenu)
    f.close()

def lire_par_lignes():
    f = open("fichierTest.txt","r")
    # une autre fonction,
    # renvoie une liste
    f1 = f.readlines()
    print(f1)
    for x in f1:
        print(x)
    f.close()

ecrire()
#lire()
#ajouter()
#ajouter()
#lire()
#ecrire()
#lire()
lire_par_lignes()